(use test posix)

(warning "Tests are currently disabled")
(exit 0)  ;; Tests are currently disabled; this is a WIP

(define (empty-file x)
  (close-output-port (open-output-file x)))

(define rootdir "/tmp/pathfind.tmp")

(create-directory rootdir #t)
(change-directory rootdir)

(create-directory "foo/abc" #t)
(create-directory "foo/abcd" #t)
(empty-file "foo/abc/xyz.css")
(empty-file "foo/abcd/xyz.css")

(let ((pf (make-pathfinder '("foo/abc") root: rootdir))
      (pf2 (make-pathfinder '("foo/abcd") root: rootdir)))
  (test "find by absolute path"
        (cons (make-pathname rootdir "foo/abc/xyz.css")
              (make-pathname rootdir "foo/abcd/xyz.css"))
        (cons (pathfinder-find pf  "/foo/abc/xyz.css")
              (pathfinder-find pf2 "/foo/abcd/xyz.css")))
  ;; Ensure we don't match /foo/abcd when path is /foo/abc.
  (test "find by absolute path matches subdir exactly"
        #f
        (pathfinder-find pf "/foo/abcd/xyz.css")))




#|
#;1134> (path-find-all pg "b" (pf:simple '(".com" ".exe" ".bat")))
("/Users/jim/tmp/a/baz/b.com" "/Users/jim/tmp/a/baz/b.exe" "/Users/jim/tmp/a/foo/b.com" "/Users/jim/tmp/a/foo/b.exe")
#;1135> (path-find pg "b" (pf:simple '(".com" ".exe" ".bat")))
"/Users/jim/tmp/a/baz/b.com"
#;1136> (path-find pg "b.com" (pf:simple '(".com" ".exe" ".bat")))
"/Users/jim/tmp/a/baz/b.com"
#;1137> (path-find-all pg "b.com" (pf:simple '(".com" ".exe" ".bat")))
("/Users/jim/tmp/a/baz/b.com" "/Users/jim/tmp/a/foo/b.com")
#;1138> (path-find-all pg "/foo/b.com" (pf:simple '(".com" ".exe" ".bat")))
("/Users/jim/tmp/a/foo/b.com")
#;1139> (path-find-all pg "/foo/b" (pf:simple '(".com" ".exe" ".bat")))
("/Users/jim/tmp/a/foo/b.com" "/Users/jim/tmp/a/foo/b.exe")
|#
